Risultati da 1 a 5 di 5
  1. #1
    Utente Junior
    Iscritto dal
    2010
    Messaggi
    13
    Professione
    Piping Engineering
    Regione
    Italy, Genoa
    Software
    Acad2010-SW2011

    Predefinito Macro per AutoCAD Mechanical per rotazione testo

    ciao a tutti, avrei bisogno di un aiuto o di una guida per la creazione di pulsanti specializzati per l'argomento MACRO in AUTOCAD mechanical 2010.
    quello che devo fare è crearmi un pulsante che, selezionato un testo lo ruoti di 90° con perno il grip di inserimento

  2. #2
    Utente Senior L'avatar di GP.
    Iscritto dal
    2008
    Messaggi
    2071
    Professione
    Nientologo
    Regione
    Vercelli
    Software
    uozapp

    Predefinito

    Per la creazione dei pulsanti vedi qui: http://www.speculumatrum.it/cad_pulsanti.html

    Una similmacro da assegnare per la rotazione del testo potrebbe essere questa (in lisp):
    ^C^C(setq TXT (entsel "Selezionare il testo da ruotare"))(COMMAND "_ROTATE" TXT "" (cdr (assoc 10 (entget (car TXT)))) "90")


    Non avresti però la possibilità di ripetere il comando con INVIO, ti converrebbe quindi assegnare al pulsante il lancio di un lisp tipo questo:

    (defun C:RuotaTesto (/ TXT)
    (setq TXT (entsel "\nSelezionare il testo da ruotare"))
    (if (= (cdr (assoc 0 (entget (car TXT)))) "TEXT")
    (COMMAND "_ROTATE" TXT "" (cdr (assoc 10 (entget (car TXT)))) "90")
    )
    )



    Se invece i testi da selezionare per la rotazione di 90° fossero più di uno, potresti utilizzare un lisp del genere:

    (defun C:RuotaTesti (/ TXT cont TXT1)
    (prompt "\nSelezionare i testi da ruotare")
    (setq TXT (ssget '((0 . "TEXT"))))
    (setq cont -1)
    (repeat (sslength TXT)
    (setq TXT1 (ssname TXT (setq cont (1+ cont))))
    (COMMAND "_ROTATE" TXT1 "" (cdr (assoc 10 (entget TXT1))) "90")
    )
    )

  3. #3
    Utente poco attivo
    Iscritto dal
    2013
    Messaggi
    2
    Professione
    perito
    Regione
    Italia
    Software
    autocad

    Icon12

    Ciao Gp., ottima spiegazione. E se invece io volessi ruotare il testo in base a una linea di riferimento ? Tipo un "copia formato" che dia al testo lo stesso angolo di una linea selezionata precedentemente.

    Grazie

  4. #4
    Utente Senior L'avatar di GP.
    Iscritto dal
    2008
    Messaggi
    2071
    Professione
    Nientologo
    Regione
    Vercelli
    Software
    uozapp

    Predefinito

    Rispondo ora perché non seguo il forum di mechanical e solo oggi mi è arrivata la mail di notifica.

    Citazione Originariamente Scritto da Mauro76 Visualizza Messaggio
    ...se invece io volessi ruotare il testo in base a una linea di riferimento ? Tipo un "copia formato" che dia al testo lo stesso angolo di una linea selezionata precedentemente.

    E' una funzione svolta egregiamente da TORIENT (ExpressTools), ma butta l'occhio anche su questo lisp: http://www.lee-mac.com/objectalign.html

    Per non reinventare la ruota...

  5. #5
    Utente poco attivo
    Iscritto dal
    2013
    Messaggi
    2
    Professione
    perito
    Regione
    Italia
    Software
    autocad

    Predefinito

    inventare la ruota.. mmm potrei anche pensarci sai ? Mi sa che non mi sono espresso molto bene. In sintesi dovevo calcolare la pendenza di un parcheggio le cui quote erano ottenute da un rilevamento con uno strumento gps. Ho scopiazzato qualche lsp per il calcolo dell'angolo facendo si che cliccando sulla linea la pendenza venisse calcolata in automatico e allo stesso tempo venisse scritta e posizionata parallela alla linea. Una cosetta che per i più esperti potrebbe essere semplice, ma per me è stata veramente la scoperta della ruota ahahahah Comunque faccio i complimenti a te e a tutti quelli che divulgano conoscenze in questo forum facilitando il lavoro delle persone e stimolando la voglia di migliorare (oltre a quella di DOMINARE sui colleghi d'ufficio che sono a livelli di tecnigrafo)


  • Discussioni Simili

    1. Risposte: 18
      Ultimo Messaggio: 18-06-2011, 15: 49
    2. Macro per creazione file di testo con estensione .ppi
      Di tripsy nel forum VBA per Autocad
      Risposte: 5
      Ultimo Messaggio: 16-07-2010, 13: 48
    3. Risposte: 9
      Ultimo Messaggio: 16-07-2010, 12: 32
    4. Rotazione schizzo con testo su lamiera
      Di reggio nel forum Solidworks
      Risposte: 7
      Ultimo Messaggio: 31-01-2010, 18: 54
    5. Comando di Autocad mechanical da utilizzare su Autocad Normale
      Di MaxdjCAD nel forum Autocad Mechanical
      Risposte: 3
      Ultimo Messaggio: 20-10-2009, 11: 56

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti